public class ReaderExampleFull {
    public static void main(String args[]) {
     
        FileInputStream fis = null;
        BufferedReader reader = null;
      
        try {
            fis = new FileInputStream(
                    "/path-to-file/myfile.txt");
            reader = new BufferedReader(
                    new InputStreamReader(fis));
       
            String line = reader.readLine();
            while(line != null){
                System.out.println(line);
                line = reader.readLine();
            }           
          
        } catch (FileNotFoundException ex) {
            // Log exception
        } catch (IOException ex) {
            // Log exception
          
        } finally {
            try {
                if(reader != null)
                    reader.close();
                if(fis != null)
                    fis.close();
            } catch (IOException ex) {
                // Log exception
            }
        }
    }
}
