public class ReaderExampleLombok {
    public static void main(String args[]) {
     
        @Cleanup FileInputStream fis = null;
        @Cleanup BufferedReader reader = null;
      
        try {
            fis = new FileInputStream(
                    "/path-to-file/myfile.txt");
            reader = new BufferedReader(
                    new InputStreamReader(fis));
       
            String line = reader.readLine();
            while(line != null){
                System.out.println(line);
                line = reader.readLine();
            }           
          
        } catch (FileNotFoundException ex) {
            // Log exception
        } catch (IOException ex) {
            // Log exception
        } 
    }
}
